Skip to content

Create webhook

POST
/v1/integrator/webhooks

Creates a new webhook for the integrator.

object
url
required

URL to which webhook payloads will be delivered

string format: uri
events

List of event types to subscribe to. Defaults to empty array.

Array<string>
default:
Allowed values: account.created account.updated account.deleted payment.created payment.updated payment.completed payment.refunded verification.status.updated capabilities.updated

Response for status 200

object
id
required

Unique identifier for the webhook

string
events
required

List of event types this webhook is subscribed to

Array<string>
Allowed values: account.created account.updated account.deleted payment.created payment.updated payment.completed payment.refunded verification.status.updated capabilities.updated
url
required

URL to which webhook payloads are delivered

string format: uri
failureCount
required

Number of consecutive delivery failures

number
disabled
required

Whether the webhook is currently disabled

boolean

Response for status 401

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string
realm

The authentication realm

string
scope

The required scope for this resource

string

Response for status 404

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string
resourceType
required

The type of resource that was not found

string
resourceId
required

The identifier of the resource that was not found

string

Response for status 500

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string